import {
  GET_BLACK_LIST_ERROR,
  GET_BLACK_LIST_SUCCESS,
  ADD_TO_BLACK_LIST_SUCCESS,
  ADD_TO_BLACK_LIST_ERROR,
} from "./types";
import { SERVER_URL } from "../constant";
import axios from "axios";
import { toast } from "react-toastify";

export const getBlackListSuccess = (data) => {
  return {
    type: GET_BLACK_LIST_SUCCESS,
    payload: data,
  };
};

export const getBlackListError = (data) => {
  return {
    type: GET_BLACK_LIST_ERROR,
    payload: data,
  };
};

export const getBlackList = () => {
  return (dispatch) => {
    return axios
      .get(`${SERVER_URL}/blacklist/getall`)
      .then((response) => {
        dispatch(getBlackListSuccess(response.data.result));
        toast.success(response.data.message);
        dispatch(getBlackListError(""));
      })
      .catch((error) => {
        dispatch(getBlackListError("Error in getting the blacklist"));
      });
  };
};

// ADD TO BLACKLIST ----------------------------------------
export const addToBlackListSuccess = (data) => {
  return {
    type: ADD_TO_BLACK_LIST_SUCCESS,
    payload: data,
  };
};

export const addToBlackListError = (data) => {
  return {
    type: ADD_TO_BLACK_LIST_ERROR,
    payload: data,
  };
};

export const addToBlackList = (ip) => {
  const data = { ip: ip.ip };
  return (dispatch) => {
    return axios
      .post(`${SERVER_URL}/blacklist/add`, data)
      .then((response) => {
        dispatch(addToBlackListSuccess(ip));
        toast.success(response.data.message);
        dispatch(addToBlackListError(""));
      })
      .catch((error) => {
        dispatch(addToBlackListError("Error in in adding to whitelist"));
      });
  };
};
