import { GET_NOTIFICATION_SUCCESS, GET_NOTIFICATION_ERROR } from "./types";
import { SERVER_URL } from "../constant";
import axios from "axios";
import { toast } from "react-toastify";

export const getNotificationSuccess = (data) => {
  return {
    type: GET_NOTIFICATION_SUCCESS,
    payload: data,
  };
};

export const getNotificationError = (data) => {
  return {
    type: GET_NOTIFICATION_ERROR,
    payload: data,
  };
};

export const getNotification = () => {
  return (dispatch) => {
    return axios
      .get(`${SERVER_URL}/notification/getall`)
      .then((response) => {
        dispatch(getNotificationSuccess(response.data.result));
        toast.success(response.data.message);
        dispatch(getNotificationError(""));
      })
      .catch((error) => {
        dispatch(getNotificationError("Error in getting the notifications"));
      });
  };
};
