import {
  GET_WHITE_LIST_ERROR,
  GET_WHITE_LIST_SUCCESS,
  ADD_TO_WHITE_LIST_ERROR,
  ADD_TO_WHITE_LIST_SUCCESS,
} from "./types";
import { SERVER_URL } from "../constant";
import axios from "axios";
import { toast } from "react-toastify";

//GET WHITELIST -----------------------------------------
export const getWhiteListSuccess = (data) => {
  return {
    type: GET_WHITE_LIST_SUCCESS,
    payload: data,
  };
};

export const getWhiteListError = (data) => {
  return {
    type: GET_WHITE_LIST_ERROR,
    payload: data,
  };
};

export const getWhiteList = () => {
  return (dispatch) => {
    return axios
      .get(`${SERVER_URL}/whitelist/getall`)
      .then((response) => {
        dispatch(getWhiteListSuccess(response.data.result));
        toast.success(response.data.message);
        dispatch(getWhiteListError(""));
      })
      .catch((error) => {
        dispatch(getWhiteListError("Error in getting the whitelist"));
      });
  };
};

// ADD TO WHITELIST ----------------------------------------
export const addToWhiteListSuccess = (data) => {
  return {
    type: ADD_TO_WHITE_LIST_SUCCESS,
    payload: data,
  };
};

export const addToWhiteListError = (data) => {
  return {
    type: ADD_TO_WHITE_LIST_ERROR,
    payload: data,
  };
};

export const addToWhiteList = (ip) => {
  const data = { ip: ip.ip };
  return (dispatch) => {
    return axios
      .post(`${SERVER_URL}/whitelist/add`, data)
      .then((response) => {
        dispatch(addToWhiteListSuccess(ip));
        toast.success(response.data.message);
        dispatch(addToWhiteListError(""));
      })
      .catch((error) => {
        dispatch(addToWhiteListError("Error in in adding to whitelist"));
      });
  };
};
