import React from "react";

const Dashboard = React.lazy(() => import("./views/dashboard/Dashboard"));

const Whitelist = React.lazy(() => import("./views/ipmanager/Whitelist"));
const Blacklist = React.lazy(() => import("./views/ipmanager/Blacklist"));

const Users = React.lazy(() => import("./views/users/Users"));
const User = React.lazy(() => import("./views/users/User"));

const routes = [
  { path: "/", exact: true, name: "Home" },
  { path: "/dashboard", name: "Dashboard", component: Dashboard },
  { path: "/whitelist", name: "IP Manager", component: Whitelist, exact: true },
  { path: "/ip-manager/whitelist", name: "White List", component: Whitelist },
  { path: "/ip-manager/blacklist", name: "Black List", component: Blacklist },

  { path: "/users", exact: true, name: "Users", component: Users },
  { path: "/users/:id", exact: true, name: "User Details", component: User },
];

export default routes;
