import React, { useEffect, useState, lazy } from "react";
import { Link } from "react-router-dom";
import { connect } from "react-redux";
import { getNotification } from "../../action/notification.actions";
import {
  CBadge,
  CCard,
  CCardBody,
  CCardHeader,
  CCol,
  CRow,
  CDataTable,
} from "@coreui/react";

const Dashboard = (props) => {
  const fields = ["ip", "message", "time"];
  useEffect(() => {
    props.onGetNotification();
  }, []);
  return (
    <CRow>
      <CCol>
        <CCard>
          <CCardHeader>Activites</CCardHeader>
          <CCardBody>
            <CDataTable
              items={props.notifications}
              fields={fields}
              itemsPerPage={10}
              pagination
              scopedSlots={{
                status: (item) => (
                  <td>
                    <CBadge color={"red"}>{item.status}</CBadge>
                  </td>
                ),
              }}
            />
          </CCardBody>
        </CCard>
      </CCol>
    </CRow>
  );
};

const mapStateToProps = (state) => {
  return {
    error: state.notificationData.error || "",
    notifications: state.notificationData.notification || [],
  };
};

const mapDispatchToProps = (dispatch) => {
  return {
    onGetNotification: () => {
      dispatch(getNotification());
    },
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(Dashboard);
